For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://developers.hellosign.com/api/fax-line/llms.txt. For full documentation content, see https://developers.hellosign.com/api/fax-line/llms-full.txt.

# Add Fax Line User

PUT https://api.hellosign.com/v3/fax_line/add_user
Content-Type: application/json

Grants a user access to the specified Fax Line.

Reference: https://developers.hellosign.com/api/fax-line/add-user

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Dropbox Sign API
  version: 1.0.0
paths:
  /fax_line/add_user:
    put:
      operationId: add-user
      summary: Add Fax Line User
      description: Grants a user access to the specified Fax Line.
      tags:
        - subpackage_faxLine
      parameters:
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FaxLineResponse'
        '400':
          description: failed_operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FaxLineAddUserRequest'
servers:
  - url: https://api.hellosign.com/v3
components:
  schemas:
    FaxLineAddUserRequest:
      type: object
      properties:
        number:
          type: string
          description: The Fax Line number
        account_id:
          type: string
          description: Account ID
        email_address:
          type: string
          format: email
          description: Email address
      required:
        - number
      title: FaxLineAddUserRequest
    AccountResponseQuotas:
      type: object
      properties:
        api_signature_requests_left:
          type:
            - integer
            - 'null'
          description: API signature requests remaining.
        documents_left:
          type:
            - integer
            - 'null'
          description: Signature requests remaining.
        templates_total:
          type:
            - integer
            - 'null'
          description: Total API templates allowed.
        templates_left:
          type:
            - integer
            - 'null'
          description: API templates remaining.
        sms_verifications_left:
          type:
            - integer
            - 'null'
          description: SMS verifications remaining.
        num_fax_pages_left:
          type:
            - integer
            - 'null'
          description: Number of fax pages left
      description: Details concerning remaining monthly quotas.
      title: AccountResponseQuotas
    AccountResponseUsage:
      type: object
      properties:
        fax_pages_sent:
          type:
            - integer
            - 'null'
          description: Number of fax pages sent
      description: Details concerning monthly usage
      title: AccountResponseUsage
    AccountResponse:
      type: object
      properties:
        account_id:
          type: string
          description: The ID of the Account
        email_address:
          type: string
          description: The email address associated with the Account.
        is_locked:
          type: boolean
          description: >-
            Returns `true` if the user has been locked out of their account by a
            team admin.
        is_paid_hs:
          type: boolean
          description: Returns `true` if the user has a paid Dropbox Sign account.
        is_paid_hf:
          type: boolean
          description: Returns `true` if the user has a paid HelloFax account.
        quotas:
          $ref: '#/components/schemas/AccountResponseQuotas'
        callback_url:
          type:
            - string
            - 'null'
          description: The URL that Dropbox Sign events will `POST` to.
        role_code:
          type:
            - string
            - 'null'
          description: The membership role for the team.
        team_id:
          type:
            - string
            - 'null'
          description: The id of the team account belongs to.
        locale:
          type:
            - string
            - 'null'
          description: >-
            The locale used in this Account. Check out the list of [supported
            locales](/api/reference/constants/#supported-locales) to learn more
            about the possible values.
        usage:
          $ref: '#/components/schemas/AccountResponseUsage'
      title: AccountResponse
    FaxLineResponseFaxLine:
      type: object
      properties:
        number:
          type: string
          description: Number
        created_at:
          type: integer
          description: Created at
        updated_at:
          type: integer
          description: Updated at
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/AccountResponse'
      title: FaxLineResponseFaxLine
    WarningResponse:
      type: object
      properties:
        warning_msg:
          type: string
          description: Warning message
        warning_name:
          type: string
          description: Warning name
      required:
        - warning_msg
        - warning_name
      description: A list of warnings.
      title: WarningResponse
    FaxLineResponse:
      type: object
      properties:
        fax_line:
          $ref: '#/components/schemas/FaxLineResponseFaxLine'
        warnings:
          $ref: '#/components/schemas/WarningResponse'
      required:
        - fax_line
      title: FaxLineResponse
    ErrorResponseError:
      type: object
      properties:
        error_msg:
          type: string
          description: Message describing an error.
        error_path:
          type: string
          description: Path at which an error occurred.
        error_name:
          type: string
          description: Name of the error.
      required:
        - error_msg
        - error_name
      description: Contains information about an error that occurred.
      title: ErrorResponseError
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorResponseError'
      required:
        - error
      title: ErrorResponse
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer

```

## SDK Code Examples

```php PHP
<?php

namespace Dropbox\SignSandbox;

require_once __DIR__ . '/../vendor/autoload.php';

use SplFileObject;
use Dropbox;

$config = Dropbox\Sign\Configuration::getDefaultConfiguration();
$config->setUsername("YOUR_API_KEY");

$fax_line_add_user_request = (new Dropbox\Sign\Model\FaxLineAddUserRequest())
    ->setNumber("[FAX_NUMBER]")
    ->setEmailAddress("member@dropboxsign.com");

try {
    $response = (new Dropbox\Sign\Api\FaxLineApi(config: $config))->faxLineAddUser(
        fax_line_add_user_request: $fax_line_add_user_request,
    );

    print_r($response);
} catch (Dropbox\Sign\ApiException $e) {
    echo "Exception when calling FaxLineApi#faxLineAddUser: {$e->getMessage()}";
}

```

```csharp C#
using System;
using System.Collections.Generic;
using System.IO;
using System.Text.Json;

using Dropbox.Sign.Api;
using Dropbox.Sign.Client;
using Dropbox.Sign.Model;

namespace Dropbox.SignSandbox;

public class FaxLineAddUserExample
{
    public static void Run()
    {
        var config = new Configuration();
        config.Username = "YOUR_API_KEY";

        var faxLineAddUserRequest = new FaxLineAddUserRequest(
            number: "[FAX_NUMBER]",
            emailAddress: "member@dropboxsign.com"
        );

        try
        {
            var response = new FaxLineApi(config).FaxLineAddUser(
                faxLineAddUserRequest: faxLineAddUserRequest
            );

            Console.WriteLine(response);
        }
        catch (ApiException e)
        {
            Console.WriteLine("Exception when calling FaxLineApi#FaxLineAddUser: " + e.Message);
            Console.WriteLine("Status Code: " + e.ErrorCode);
            Console.WriteLine(e.StackTrace);
        }
    }
}

```

```typescript TypeScript
import * as fs from 'fs';
import api from "@dropbox/sign"
import models from "@dropbox/sign"

const apiCaller = new api.FaxLineApi();
apiCaller.username = "YOUR_API_KEY";

const faxLineAddUserRequest: models.FaxLineAddUserRequest = {
  number: "[FAX_NUMBER]",
  emailAddress: "member@dropboxsign.com",
};

apiCaller.faxLineAddUser(
  faxLineAddUserRequest,
).then(response => {
  console.log(response.body);
}).catch(error => {
  console.log("Exception when calling FaxLineApi#faxLineAddUser:");
  console.log(error.body);
});

```

```java Java
package com.dropbox.sign_sandbox;

import com.dropbox.sign.ApiException;
import com.dropbox.sign.Configuration;
import com.dropbox.sign.api.*;
import com.dropbox.sign.auth.*;
import com.dropbox.sign.JSON;
import com.dropbox.sign.model.*;

import java.io.File;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.OffsetDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class FaxLineAddUserExample
{
    public static void main(String[] args)
    {
        var config = Configuration.getDefaultApiClient();
        ((HttpBasicAuth) config.getAuthentication("api_key")).setUsername("YOUR_API_KEY");

        var faxLineAddUserRequest = new FaxLineAddUserRequest();
        faxLineAddUserRequest.number("[FAX_NUMBER]");
        faxLineAddUserRequest.emailAddress("member@dropboxsign.com");

        try
        {
            var response = new FaxLineApi(config).faxLineAddUser(
                faxLineAddUserRequest
            );

            System.out.println(response);
        } catch (ApiException e) {
            System.err.println("Exception when calling FaxLineApi#faxLineAddUser");
            System.err.println("Status code: " + e.getCode());
            System.err.println("Reason: " + e.getResponseBody());
            System.err.println("Response headers: " + e.getResponseHeaders());
            e.printStackTrace();
        }
    }
}

```

```ruby Ruby
require "json"
require "dropbox-sign"

Dropbox::Sign.configure do |config|
    config.username = "YOUR_API_KEY"
end

fax_line_add_user_request = Dropbox::Sign::FaxLineAddUserRequest.new
fax_line_add_user_request.number = "[FAX_NUMBER]"
fax_line_add_user_request.email_address = "member@dropboxsign.com"

begin
    response = Dropbox::Sign::FaxLineApi.new.fax_line_add_user(
        fax_line_add_user_request,
    )

    p response
rescue Dropbox::Sign::ApiError => e
    puts "Exception when calling FaxLineApi#fax_line_add_user: #{e}"
end

```

```python Python
import json
from datetime import date, datetime
from pprint import pprint

from dropbox_sign import ApiClient, ApiException, Configuration, api, models

configuration = Configuration(
    username="YOUR_API_KEY",
)

with ApiClient(configuration) as api_client:
    fax_line_add_user_request = models.FaxLineAddUserRequest(
        number="[FAX_NUMBER]",
        email_address="member@dropboxsign.com",
    )

    try:
        response = api.FaxLineApi(api_client).fax_line_add_user(
            fax_line_add_user_request=fax_line_add_user_request,
        )

        pprint(response)
    except ApiException as e:
        print("Exception when calling FaxLineApi#fax_line_add_user: %s\n" % e)

```

```go Sample Fax Line Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hellosign.com/v3/fax_line/add_user"

	req, _ := http.NewRequest("PUT", url, nil)

	req.SetBasicAuth("<apiKey>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```swift Sample Fax Line Response
import Foundation

let credentials = Data("<apiKey>:".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hellosign.com/v3/fax_line/add_user")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```php PHP
<?php

namespace Dropbox\SignSandbox;

require_once __DIR__ . '/../vendor/autoload.php';

use SplFileObject;
use Dropbox;

$config = Dropbox\Sign\Configuration::getDefaultConfiguration();
$config->setUsername("YOUR_API_KEY");

$fax_line_add_user_request = (new Dropbox\Sign\Model\FaxLineAddUserRequest())
    ->setNumber("[FAX_NUMBER]")
    ->setEmailAddress("member@dropboxsign.com");

try {
    $response = (new Dropbox\Sign\Api\FaxLineApi(config: $config))->faxLineAddUser(
        fax_line_add_user_request: $fax_line_add_user_request,
    );

    print_r($response);
} catch (Dropbox\Sign\ApiException $e) {
    echo "Exception when calling FaxLineApi#faxLineAddUser: {$e->getMessage()}";
}

```

```csharp C#
using System;
using System.Collections.Generic;
using System.IO;
using System.Text.Json;

using Dropbox.Sign.Api;
using Dropbox.Sign.Client;
using Dropbox.Sign.Model;

namespace Dropbox.SignSandbox;

public class FaxLineAddUserExample
{
    public static void Run()
    {
        var config = new Configuration();
        config.Username = "YOUR_API_KEY";

        var faxLineAddUserRequest = new FaxLineAddUserRequest(
            number: "[FAX_NUMBER]",
            emailAddress: "member@dropboxsign.com"
        );

        try
        {
            var response = new FaxLineApi(config).FaxLineAddUser(
                faxLineAddUserRequest: faxLineAddUserRequest
            );

            Console.WriteLine(response);
        }
        catch (ApiException e)
        {
            Console.WriteLine("Exception when calling FaxLineApi#FaxLineAddUser: " + e.Message);
            Console.WriteLine("Status Code: " + e.ErrorCode);
            Console.WriteLine(e.StackTrace);
        }
    }
}

```

```typescript TypeScript
import * as fs from 'fs';
import api from "@dropbox/sign"
import models from "@dropbox/sign"

const apiCaller = new api.FaxLineApi();
apiCaller.username = "YOUR_API_KEY";

const faxLineAddUserRequest: models.FaxLineAddUserRequest = {
  number: "[FAX_NUMBER]",
  emailAddress: "member@dropboxsign.com",
};

apiCaller.faxLineAddUser(
  faxLineAddUserRequest,
).then(response => {
  console.log(response.body);
}).catch(error => {
  console.log("Exception when calling FaxLineApi#faxLineAddUser:");
  console.log(error.body);
});

```

```java Java
package com.dropbox.sign_sandbox;

import com.dropbox.sign.ApiException;
import com.dropbox.sign.Configuration;
import com.dropbox.sign.api.*;
import com.dropbox.sign.auth.*;
import com.dropbox.sign.JSON;
import com.dropbox.sign.model.*;

import java.io.File;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.OffsetDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class FaxLineAddUserExample
{
    public static void main(String[] args)
    {
        var config = Configuration.getDefaultApiClient();
        ((HttpBasicAuth) config.getAuthentication("api_key")).setUsername("YOUR_API_KEY");

        var faxLineAddUserRequest = new FaxLineAddUserRequest();
        faxLineAddUserRequest.number("[FAX_NUMBER]");
        faxLineAddUserRequest.emailAddress("member@dropboxsign.com");

        try
        {
            var response = new FaxLineApi(config).faxLineAddUser(
                faxLineAddUserRequest
            );

            System.out.println(response);
        } catch (ApiException e) {
            System.err.println("Exception when calling FaxLineApi#faxLineAddUser");
            System.err.println("Status code: " + e.getCode());
            System.err.println("Reason: " + e.getResponseBody());
            System.err.println("Response headers: " + e.getResponseHeaders());
            e.printStackTrace();
        }
    }
}

```

```ruby Ruby
require "json"
require "dropbox-sign"

Dropbox::Sign.configure do |config|
    config.username = "YOUR_API_KEY"
end

fax_line_add_user_request = Dropbox::Sign::FaxLineAddUserRequest.new
fax_line_add_user_request.number = "[FAX_NUMBER]"
fax_line_add_user_request.email_address = "member@dropboxsign.com"

begin
    response = Dropbox::Sign::FaxLineApi.new.fax_line_add_user(
        fax_line_add_user_request,
    )

    p response
rescue Dropbox::Sign::ApiError => e
    puts "Exception when calling FaxLineApi#fax_line_add_user: #{e}"
end

```

```python Python
import json
from datetime import date, datetime
from pprint import pprint

from dropbox_sign import ApiClient, ApiException, Configuration, api, models

configuration = Configuration(
    username="YOUR_API_KEY",
)

with ApiClient(configuration) as api_client:
    fax_line_add_user_request = models.FaxLineAddUserRequest(
        number="[FAX_NUMBER]",
        email_address="member@dropboxsign.com",
    )

    try:
        response = api.FaxLineApi(api_client).fax_line_add_user(
            fax_line_add_user_request=fax_line_add_user_request,
        )

        pprint(response)
    except ApiException as e:
        print("Exception when calling FaxLineApi#fax_line_add_user: %s\n" % e)

```

```go Default Example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hellosign.com/v3/fax_line/add_user"

	payload := strings.NewReader("{\n  \"number\": \"[FAX_NUMBER]\",\n  \"email_address\": \"member@dropboxsign.com\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.SetBasicAuth("<apiKey>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```swift Default Example
import Foundation

let credentials = Data("<apiKey>:".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = [
  "number": "[FAX_NUMBER]",
  "email_address": "member@dropboxsign.com"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hellosign.com/v3/fax_line/add_user")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```